JaxbHibernateMapping.JaxbFilterDef (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbFilterDef

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbFilterDef

Enclosing class:
  JaxbHibernateMapping

    public static class JaxbHibernateMapping.JaxbFilterDef

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded" minOccurs="0">
             <element name="filter-param">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="condition" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam` Java class for anonymous complex type.

Field Summary
`protected String` | `condition`
`protected List<Serializable>` | `content`
`protected String` | `name`

Constructor Summary
`JaxbHibernateMapping.JaxbFilterDef()`

Method Summary
`String` | `getCondition()` Gets the value of the condition property.
`List<Serializable>` | `getContent()` Gets the value of the content property.
`String` | `getName()` Gets the value of the name property.
`void` | `setCondition(String value)` Sets the value of the condition property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### content

    protected List<Serializable> content

### condition

    protected String condition

### name

    protected String name

Constructor Detail

### JaxbHibernateMapping.JaxbFilterDef

    public JaxbHibernateMapping.JaxbFilterDef()

Method Detail

### getContent

    public List<Serializable> getContent()

  Gets the value of the content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `JAXBElement``<``JaxbHibernateMapping.JaxbFilterDef.JaxbFilterParam``>` `String`

### getCondition

    public String getCondition()

  Gets the value of the condition property.

  Returns:
    possible object is `String`

### setCondition

    public void setCondition(String value)

  Sets the value of the condition property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.